#include <asf.h>

#ifndef DATACONVERSIONS_H_
#define DATACONVERSIONS_H_




uint32_t changeEndian(uint32_t value);
uint64_t changeEndianLong(uint64_t value);
uint8_t * store(uint8_t *dst, void * src, int numBytes, int littleEndian);
uint8_t Get8bits(void);
uint16_t Get16bits(void);
uint32_t Get32bits(void);
uint64_t Get64bits(void);
uint32_t float2Uint32 (float input);

#endif /* DATACONVERSIONS_H_ */